VERSION 2.00
Begin Form Dialogs 
   BackColor       =   &H00C0C0C0&
   Caption         =   "Common Dialogs Made in VB"
   ClientHeight    =   3780
   ClientLeft      =   90
   ClientTop       =   645
   ClientWidth     =   6705
   Height          =   4470
   Icon            =   DIALOGS.FRX:0000
   Left            =   30
   LinkMode        =   1  'Source
   LinkTopic       =   "Form1"
   ScaleHeight     =   3780
   ScaleWidth      =   6705
   Top             =   15
   Width           =   6825
   Begin Menu mnuDemo 
      Caption         =   "&Demo"
      Begin Menu mnuFOpen 
         Caption         =   "File &Open"
      End
      Begin Menu mnuFSave 
         Caption         =   "File &Save"
      End
      Begin Menu mnuFonts 
         Caption         =   "&Fonts"
      End
      Begin Menu mnuPrinter 
         Caption         =   "&Printer"
         Begin Menu mnuPSetup 
            Caption         =   "Printer Setup"
         End
         Begin Menu mnuPDoc 
            Caption         =   "Print Doc Setup"
         End
      End
      Begin Menu mnuColors 
         Caption         =   "&Colors"
      End
      Begin Menu mnuSep 
         Caption         =   "-"
      End
      Begin Menu mnuExit 
         Caption         =   "E&xit"
      End
   End
End
Rem Demo for accessing Win 3.1 Common Dialogs
Rem Author: Costas Kitsos, CIS 73667,1755
Rem Revision: 1.00.00, July 4 1992

Rem Modified: L.J. Johnson, CIS 70700,1334
Rem Revision: 1.10.00, July 25 1992

DefInt A-Z

Sub mnuColors_Click ()
    
    ' ----------------------------------------------------
    ' Res% = 0 means everything OK
    ' Res% = 1 means couldn't allocate global memory
    ' Res% = 2 means couldn't lock global memory
    ' Res% = 3 means had error returned from common dialog
    ' CError& tells you WHAT error if Res% = 3
    ' ----------------------------------------------------
    Flags& = CC_RGBINIT Or CC_FULLOPEN
    
    Res% = PColors%(Dialogs, CError&, Flags&)
    ' ----------------------------------------------------

    If CError& <> 0 Then
        Msg$ = CmdError$(x&)
        MsgBox Msg$, 32, "DIALOGS"
    End If

End Sub

Sub mnuExit_Click ()
    End
End Sub

Sub mnuFonts_Click ()
    
    ' ----------------------------------------------------
    ' Res% = 0 means everything OK
    ' Res% = 1 means couldn't allocate global memory
    ' Res% = 2 means couldn't lock global memory
    ' Res% = 3 means had error returned from common dialog
    ' FError& tells you WHAT error if Res% = 3
    ' ----------------------------------------------------
    FontType% = SCREEN_FONTTYPE
    Flags& = CF_SCREENFONTS Or CF_EFFECTS

    Res% = PFonts%(Dialogs, FError&, Flags&, FontType%)
    ' ----------------------------------------------------

    If FError& <> 0 Then
        Msg$ = CmdError$(x&)
        MsgBox Msg$, 32, "DIALOGS"
    End If

End Sub

Sub mnuFOpen_Click ()
    
    ' ----------------------------------------------------
    ' Res% = 0 means everything OK
    ' Res% = 1 means couldn't allocate global memory
    ' Res% = 2 means couldn't lock global memory
    ' Res% = 3 means had error returned from common dialog
    ' FError& tells you WHAT error if Res% = 3
    ' ----------------------------------------------------
    Filter1$ = "VB Files" + Chr$(0) + "*.frm;*.bas;*.mak" + Chr$(0)
    Filter2$ = "Text Files" + Chr$(0) + "*.txt;*.doc" + Chr$(0)
    Filter$ = Filter1$ + Filter2$ + Chr$(0)
    Index% = 1
    Flags& = OFN_FILEMUSTEXIST Or OFN_HIDEREADONLY Or OFN_PATHMUSTEXIST
    
    IDir$ = CurDir$ + Chr$(0)
    Title$ = "MyApp's File Open" + Chr$(0)
    
    Res% = PFileOpen%(Dialogs, FError&, Filter$, IDir$, Title$, Index%, Flags&)
    ' ----------------------------------------------------

    If FError& <> 0 Then
        Msg$ = CmdError$(x&)
        MsgBox Msg$, 32, "DIALOGS"
    End If

End Sub

Sub mnuFSave_Click ()
    
    ' ----------------------------------------------------
    ' Res% = 0 means everything OK
    ' Res% = 1 means couldn't allocate global memory
    ' Res% = 2 means couldn't lock global memory
    ' Res% = 3 means had error returned from common dialog
    ' FError& tells you WHAT error if Res% = 3
    ' ----------------------------------------------------
    Filter1$ = "VB Files" + Chr$(0) + "*.frm;*.bas;*.mak" + Chr$(0)
    Filter2$ = "Text Files" + Chr$(0) + "*.txt;*.doc" + Chr$(0) + Chr$(0)
    
    Filter$ = Filter1$ + Filter2$ + Chr$(0)
    IDir$ = CurDir$ + Chr$(0)
    FileMask$ = "untitled.frm"
    Title$ = "MyApp's File Save" + Chr$(0)
    Index% = 1
    Flags& = OFN_HIDEREADONLY Or OFN_PATHMUSTEXIST
    
    Res% = PFileSave%(Dialogs, FError&, Filter$, IDir$, FileMask$, Index%, Title$, Flags&)
    ' ----------------------------------------------------

    If FError& <> 0 Then
        Msg$ = CmdError$(x&)
        MsgBox Msg$, 32, "DIALOGS"
    End If

End Sub

Sub mnuPDoc_Click ()
    
    ' ----------------------------------------------------
    ' Res% = 0 means everything OK
    ' Res% = 1 means some error from printer common dialog
    ' Res% = 2 means no DeviceMode
    ' Res% = 3 means couldn't get address of GlobalLock
    ' PError& tells you WHAT error if Res% = 1
    ' ----------------------------------------------------
    Flags& = PD_RETURNIC Or PD_HIDEPRINTTOFILE Or PD_NOSELECTION
    FPage% = 1
    TPage% = 12
    Min% = 1
    Max% = 12
    Copies% = 1

    Res% = PPrinter%(Dialogs, PError&, Flags&, FPage%, TPage%, Min%, Max%, Copies%)
    ' ----------------------------------------------------

    If PError& <> 0 Then
        Msg$ = CmdError$(x&)
        MsgBox Msg$, 32, "DIALOGS"
    End If

End Sub

Sub mnuPSetup_Click ()
    
    ' ----------------------------------------------------
    ' Res% = 0 means everything OK
    ' Res% = 1 means some error from printer common dialog
    ' Res% = 2 means no DeviceMode
    ' Res% = 3 means couldn't get address of GlobalLock
    ' PError& tells you WHAT error if Res% = 1
    ' ----------------------------------------------------
    Flags& = PD_PRINTSETUP

    Result% = PSetup%(Dialogs, PError&, Flags&)
    ' ----------------------------------------------------

    If PError& <> 0 Then
        Msg$ = CmdError$(x&)
        MsgBox Msg$, 32, "DIALOGS"
    End If

End Sub

